## vedo 2020.3.4+dfsg2

=== requirements.txt ===
vtk<=8.1.2

=== debian/changelog ===
vedo (2020.3.4+dfsg2-2) unstable; urgency=medium

  * add debian patch ignore_test_reverse.patch to ignore error in test
    Reverse on arm64 or ppc64el. See upstream issue #185.

 -- Drew Parsons <dparsons@debian.org>  Sun, 16 Aug 2020 02:28:23 +0800

vedo (2020.3.4+dfsg2-1) unstable; urgency=medium

  * New DFSG tarball
    - exclude pixabay images (licence is non-free)
  * remove duplicate entries for shark.ply and man_low.vtk in
    debian/copyright
  * add multi_viewer.py and plot_density.py to script_hashbang.patch
  * debian patch exclude_nonfree_images.patch replaces examples using
    nonfree texture images with available free textures (leather, etc)

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Aug 2020 23:59:06 +0800

vedo (2020.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 22:45:15 +0800

vedo (2020.3.3+dfsg3-1) unstable; urgency=medium

  * Upstream name change from vtkplotter to vedo
    - change package name to python3-vedo
    - update homepage to https://vedo.embl.es/
    - update debian/watch to vedo project on github
  * New upstream release.
    - some vedo fonts now provided with DFSG-free licences
  * provide lintian-overrides to allow symlinks from python module to
    common files in /usr/share (preserving upstream module structure)
  * debian patch script_hashbang.patch adds python hashbang to
    executable example script
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jun 2020 23:46:13 +0800

vtkplotter (2020.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - reinstates python3-vtkplotter-examples
    - copyright licence provided for all example data files
  * Update debian/copyright with detailed copyright statements for
    texture and example data files.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Apr 2020 16:06:09 +0800

vtkplotter (2020.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * add debian/tests to run common tests with autopkgtest

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Feb 2020 11:44:59 +0800

vtkplotter (2020.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Jan 2020 12:00:41 +0800

vtkplotter (2020.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - no longer provides examples: drop python3-vtkplotter-examples
    - vtkconvert is now provided as vtkplotter-convert

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jan 2020 13:29:44 +0800

vtkplotter (2019.4.10+dfsg1-1) unstable; urgency=medium

  * debian/copyright: exclude font files from upstream tarball.
    Most are non-free (prohibited to use on commercial projects).
  * don't move icons dir to /usr/share (icons no longer installed)
  * acknowledge vtkplotter and vtkconvert executables in description

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2019 16:27:59 +0800

vtkplotter (2019.4.10-1) unstable; urgency=medium

  * fix package name in debian/watch
  * New upstream release.
  * mark python3-vtkplotter-examples as Multi-Arch: foreign
  * set limb_ugrid.vtk non-executable

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2019 15:01:14 +0800

vtkplotter (2019.1.2-3) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 10:35:36 +0800

vtkplotter (2019.1.2-2) unstable; urgency=medium

  * add entries to debian/copyright:
    - main code is released under an MIT licence
    - examples/other/self_org_maps[23]d.py: BSD-2-clause
    - vtkplotter/dolfin.py: LGPL-3+
  * Build-Depends: python3 not python3-all. Build against python3.7
    only until python3-vtk has transitioned for python3.8.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2019 22:55:15 +0800

vtkplotter (2019.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #926192).

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Apr 2019 00:22:49 +0800

=== debian/control ===
Source: vedo
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-vtk7,
 python3-numpy
Standards-Version: 4.5.0
Homepage: https://vedo.embl.es/
Vcs-Browser: https://salsa.debian.org/science-team/vedo
Vcs-Git: https://salsa.debian.org/science-team/vedo.git

Package: python3-vedo
Architecture: all
Depends: python3-vtk7,
 python3-numpy,
 ${python3:Depends}, ${misc:Depends}
Breaks: python3-vtkplotter
Replaces: python3-vtkplotter
Suggests: python3-vedo-examples
Description: python module for 3D scientific visualization with VTK
 A python module for scientific visualization, analysis and animation
 of 3D objects and point clouds based on VTK and numpy.
 .
 Intuitive and straightforward API which can be combined with VTK
 seamlessly in a program, whilst maintaining access to the full range
 of VTK native classes.
 .
 It includes a large set of working examples for the all following
 functionalities:
 .
   *   Import meshes from VTK format, STL, Wavefront OBJ, 3DS, XML,
       Neutral, GMSH, OFF, PCD (PointCloud), volumetric TIFF stacks, SLC,
       MHD, 2D images PNG, JPEG.
   *   Export meshes as ASCII or binary to VTK, STL, OBJ, PLY formats.
   *   Mesh analysis through the built-in methods of VTK package.
       Additional analysis tools like Moving Least Squares, mesh
       morphing.
   *   Tools to visualize and edit meshes (cutting a mesh with another
       mesh, slicing, normalizing, moving vertex positions, etc..).
       Interactive cutter widget.
   *   Split mesh based on surface connectivity. Extract the largest
       connected area.
   *   Calculate mass properties, like area, volume, center of mass,
       average size etc.
   *   Calculate vertex and face normals, curvatures, feature edges.
       Fill mesh holes.
   *   Subdivide faces of a mesh, increasing the number of vertex
       points. Mesh simplification.
   *   Coloring and thresholding of meshes based on associated scalar
       or vectorial data.
   *   Point-surface operations: find nearest points, determine if a
       point lies inside or outside a mesh.
   *   Create primitive objects like: spheres, arrows, cubes, torus,
       ellipsoids...
   *   Generate glyphs (associating a mesh to each vertex of a source
       mesh).
   *   Create animations easily by just defining the position of the
       displayed objects in the 3D scene. Add trailing lines to moving
       objects automatically.
   *   Straightforward support for multiple sync-ed or independent
       renderers in the same window.
   *   Registration (alignment) of meshes with different techniques.
   *   Mesh smoothing with Laplacian and WindowedSinc algorithms.
   *   Delaunay triangulation in 2D and 3D.
   *   Generate meshes by joining nearby lines in space.
   *   Find the closest path from one point to another, travelling
       along the edges of a mesh.
   *   Find the intersection of a mesh with a line (or with another
       mesh).
   *   Analysis of Point Clouds:
       -  Moving Least Squares smoothing of 2D, 3D and 4D clouds
       -  Fit lines, planes and spheres in space
       -  Perform PCA (Principal Component Analysis) on point
          coordinates
       -  Identify outliers in a distribution of points
       -  Decimate a cloud to a uniform distribution.
   *   Basic histogramming and function plotting in 1D and 2D.
   *   Interpolate scalar and vectorial fields with Radial Basis
       Functions and Thin Plate Splines.
   *   Analysis of volumetric datasets:
       -  Isosurfacing of volumes
       -  Direct maximum projection rendering
       -  Generate volumetric signed-distance data from an input
          surface mesh
       -  Probe a volume with lines and planes.
   *   Add sliders and buttons to interact with the scene and the
       individual objects.
   *   Examples using SHTools package for spherical harmonics
       expansion of a mesh shape.
   *   Integration with the Qt5 framework.
   *   Support for FEniCS/dolfin package.
 .
 vedo is published in M. Musy et al. "vedo, a python
 module for scientific visualization and analysis of 3D objects and
 point clouds based on VTK (Visualization Toolkit)", Zenodo, 10
 February 2019, doi:10.5281/zenodo.2561401.
 Formerly known as vtkplotter.
 .
 This package installs the library for Python 3.
 It also include vedo and vtkconvert executables.

Package: python3-vedo-examples
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python3-vtkplotter-examples
Replaces: python3-vtkplotter-examples
Recommends: python3-vedo
Description: 3D scientific visualization with VTK (examples)
 vedo is a python module for scientific visualization, analysis
 and animation of 3D objects and point clouds based on VTK and numpy.
 .
 Intuitive and straightforward API which can be combined with VTK
 seamlessly in a program, whilst maintaining access to the full range
 of VTK native classes.
 .
 vedo is published in M. Musy et al. "vedo, a python
 module for scientific visualization and analysis of 3D objects and
 point clouds based on VTK (Visualization Toolkit)", Zenodo, 10
 February 2019, doi:10.5281/zenodo.2561401.
 Formerly known as vtkplotter.
 .
 This package installs example scripts.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=vedo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-vedo/usr/lib/python*/dist-packages/vedo/examples

override_dh_python3:
	dh_python3
	for dir in textures; do \
	  mv debian/python3-vedo/usr/lib/python3/dist-packages/vedo/$$dir/ debian/python3-vedo/usr/share/vedo/; \
	done

override_dh_fixperms-indep:
	dh_fixperms -i
	chmod a-x debian/python3-vedo-examples/usr/share/doc/python3-vedo-examples/examples/data/limb_ugrid.vtk

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-vedo,
         python3-numpy,
         python3-vtk7

=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vedo-$1.tar.gz%" \
   https://github.com/marcomusy/vedo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vedo 2020.4.2

=== requirements.txt ===
vtk

=== docs/requirements.txt ===
Sphinx>=1.7.5
sphinx-autobuild>=0.7.1
sphinx-rtd-theme>=0.4.0
sphinxcontrib-napoleon>=0.6.1
sphinxcontrib-websupport>=1.1.0
gendocs>=0.3.1
numpy
vtk

=== debian/changelog ===
vedo (2020.4.2-2) unstable; urgency=medium

  * allow Dependency on either python3-vtk9 or python3-vtk7

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Dec 2020 13:06:22 +0800

vedo (2020.4.2-1) unstable; urgency=medium

  * New upstream release.
  * upstream source is now fully DFSG-free
    (Inversionz font no longer shipped)
  * build against VTK-9 (Depends: python3-vtk9)
  * drop debian patch examples_dir.patch (deprecated)
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Dec 2020 22:42:03 +0800

vedo (2020.4.0+dfsg2-1) unstable; urgency=medium

  * New upstream release
    - drop debian patches
      * exclude_nonfree_images.patch: all images now DFSG-free
      * ignore_test_reverse.patch: assertion skipped upstream
      * script_hashbang.patch: applied upstream
    - update debian/copyright
      * all texture image files now DFSG-free (mostly CC0-universal)
      * all fonts now DFSG-free (mostly OFL) except
        vedo/fonts/Inversionz.ttf (commercial donationware)
  * add debian patch examples_dir.patch to exclude vedo/examples from
    the python module build. Delete the vedo/examples symlink in source.
    It's not being recognised by "python3 setup.py" so install manually.
    See https://github.com/marcomusy/vedo/issues/185.
  * vtk examples no longer provided

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Sep 2020 12:54:57 +0800

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  dh-python,
  python3,
  python3-setuptools,
- python3-vtk7,
+ python3-vtk9 | python3-vtk7,
  python3-numpy
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo
 Vcs-Git: https://salsa.debian.org/science-team/vedo.git
 
 Package: python3-vedo
 Architecture: all
-Depends: python3-vtk7,
+Depends: python3-vtk9 | python3-vtk7,
  python3-numpy,
  ${python3:Depends}, ${misc:Depends}
 Breaks: python3-vtkplotter

## vedo 2021.0.7

=== requirements.txt ===
vtk<9.1.0
Deprecated

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = omfvtk
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
vedo (2021.0.7-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-deprecated
      (provides decorators for deprecated functions,
       doesn't mean vedo is deprecated!)
    - versioned Build-Depends python3-vtk9 (<< 9.1.0)
      Mark as (<< 9.1.1) since python3-vtk9 versioning is corrupted.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Dec 2021 13:33:18 +0100

vedo (2021.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Aug 2021 19:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
+ python3-deprecated,
  python3-setuptools,
- python3-vtk9 | python3-vtk7,
+ python3-vtk9 (<< 9.1.1) | python3-vtk7,
  python3-numpy
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo
 Vcs-Git: https://salsa.debian.org/science-team/vedo.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,3 @@
 	for dir in textures; do \
 	  mv debian/python3-vedo/usr/lib/python3/dist-packages/vedo/$$dir/ debian/python3-vedo/usr/share/vedo/; \
 	done
-
-override_dh_fixperms-indep:
-	dh_fixperms -i
-	chmod a-x debian/python3-vedo-examples/usr/share/doc/python3-vedo-examples/examples/data/limb_ugrid.vtk

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-vedo,
         python3-numpy,
         python3-vtk9 | python3-vtk7

## vedo 2022.2.3

=== debian/changelog ===
vedo (2022.2.3-2) unstable; urgency=medium

  * debian patch test_relax_tol.patch relaxes tolerance for dolfin
    pointLoad tests. Needed to pass i386, ppc64el with scipy 1.8.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Jul 2022 10:03:02 +0200

vedo (2022.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Jul 2022 10:01:16 +0200

vedo (2022.2.0-5) unstable; urgency=medium

  * debian/tests Depends: python3-matplotlib
    (recommended packages are not installed by debci)
  * make debian/tests/python3 executable (for use by dolfin test)

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Apr 2022 23:14:14 +0200

vedo (2022.2.0-4) unstable; urgency=medium

  * Recommends: python3-matplotlib
    (used for colormaps, Latex object fails without it)
  * debian/tests python3 Depends: python3-scipy

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Apr 2022 14:58:00 +0200

vedo (2022.2.0-3) unstable; urgency=medium

  * also debian/tests dolfin Depends: dvipng (or = and)

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Apr 2022 10:15:05 +0200

vedo (2022.2.0-2) unstable; urgency=medium

  * python3-vedo Suggests: texlive-latex-base | texlive
    - vedo.Latex is provided via shapes.py
  * debian/tests dolfin Depends: texlive-latex-base
    (test_poisson uses vedo.Latex)

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Apr 2022 21:53:11 +0200

vedo (2022.2.0-1) unstable; urgency=medium

  * New upstream release.
  * update debian/rules and copyright: textures subdir and
    LionelOfParis font no longer provided
  * add debian/tests/dolfin

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Apr 2022 11:50:52 +0200

## vedo 2022.4.1

=== debian/changelog ===
vedo (2022.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian patch fix_API_in_tests.patch updates tests to current API

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Nov 2022 11:50:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-vtk9 (<< 9.1.1) | python3-vtk7,
  python3-numpy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo
 Vcs-Git: https://salsa.debian.org/science-team/vedo.git
@@ -22,7 +22,10 @@
  ${python3:Depends}, ${misc:Depends}
 Breaks: python3-vtkplotter
 Replaces: python3-vtkplotter
-Suggests: python3-vedo-examples
+Recommends: python3-matplotlib
+Suggests: dvipng, texlive-latex-base | texlive,
+ python3-scipy,
+ python3-vedo-examples
 Description: python module for 3D scientific visualization with VTK
  A python module for scientific visualization, analysis and animation
  of 3D objects and point clouds based on VTK and numpy.

## vedo 2023.4.3

=== requirements.txt ===
vtk
Deprecated
Pygments

=== debian/changelog ===
vedo (2023.4.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Fix capitalization in description.
  * Drop unused license paragraph.
  * Drop unused breakout-link lintian overrides.

  [ Drew Parsons ]
  * New upstream release.
    - fixes numpy 1.24 support. Closes: #1027210
    - applies debian patch fix_API_in_tests.patch
  * debian patch vtk_no_geojson.patch makes geojson support
    conditional. Raises NotImplementedError instead when trying to load
    a geojson file. By default VTK does not build IO/GeoJSON, see
    Bug#1029285.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Jan 2023 17:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-vtk9 (<< 9.1.1) | python3-vtk7,
  python3-numpy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo
 Vcs-Git: https://salsa.debian.org/science-team/vedo.git
@@ -26,8 +26,8 @@
 Suggests: dvipng, texlive-latex-base | texlive,
  python3-scipy,
  python3-vedo-examples
-Description: python module for 3D scientific visualization with VTK
- A python module for scientific visualization, analysis and animation
+Description: Python module for 3D scientific visualization with VTK
+ A Python module for scientific visualization, analysis and animation
  of 3D objects and point clouds based on VTK and numpy.
  .
  Intuitive and straightforward API which can be combined with VTK
@@ -99,7 +99,7 @@
    *   Integration with the Qt5 framework.
    *   Support for FEniCS/dolfin package.
  .
- vedo is published in M. Musy et al. "vedo, a python
+ vedo is published in M. Musy et al. "vedo, a Python
  module for scientific visualization and analysis of 3D objects and
  point clouds based on VTK (Visualization Toolkit)", Zenodo, 10
  February 2019, doi:10.5281/zenodo.2561401.
@@ -116,14 +116,14 @@
 Replaces: python3-vtkplotter-examples
 Recommends: python3-vedo
 Description: 3D scientific visualization with VTK (examples)
- vedo is a python module for scientific visualization, analysis
+ vedo is a Python module for scientific visualization, analysis
  and animation of 3D objects and point clouds based on VTK and numpy.
  .
  Intuitive and straightforward API which can be combined with VTK
  seamlessly in a program, whilst maintaining access to the full range
  of VTK native classes.
  .
- vedo is published in M. Musy et al. "vedo, a python
+ vedo is published in M. Musy et al. "vedo, a Python
  module for scientific visualization and analysis of 3D objects and
  point clouds based on VTK (Visualization Toolkit)", Zenodo, 10
  February 2019, doi:10.5281/zenodo.2561401.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vedo-$1.tar.gz%" \
   https://github.com/marcomusy/vedo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vedo 2023.4.6

=== debian/changelog ===
vedo (2023.4.6-1) unstable; urgency=medium

  * New upstream release.
    - Build-Depends: python3-pygments
  * debian patch screenshot_deprecated.patch fixes test_ascalarbar.py
    for deprecated (dropped) screenshot property

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jun 2023 19:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
- python3-deprecated,
  python3-setuptools,
  python3-vtk9 (<< 9.1.1) | python3-vtk7,
- python3-numpy
+ python3-numpy,
+ python3-deprecated,
+ python3-pygments
 Standards-Version: 4.6.2
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,3 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm -rf debian/python3-vedo/usr/lib/python*/dist-packages/vedo/examples
-
-override_dh_python3:
-	dh_python3
-	for dir in textures; do \
-	  mv debian/python3-vedo/usr/lib/python3/dist-packages/vedo/$$dir/ debian/python3-vedo/usr/share/vedo/; \
-	done

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-vedo,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-vtk9 | python3-vtk7,
         dvipng,
         texlive-latex-base

Tests: dolfin
Depends: python3,
         python3-vedo,
         python3-matplotlib,
         python3-numpy,
         python3-vtk9 | python3-vtk7,
         python3-dolfin,
         dvipng,
         texlive-latex-base

## vedo 2024.5.2

=== requirements.txt ===
vtk
Pygments
typing-extensions

=== debian/changelog ===
vedo (2024.5.2-2) unstable; urgency=medium

  * debian patch fix_32bit_8d63d9a.patch applies upstream commit
    8d63d9a to fix extract_cells_by_type() for 32-bit systems.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 16:45:19 +0200

vedo (2024.5.2-1) unstable; urgency=medium

  * New upstream release.
    - drop debian/patches. All patches redundant.
    - Build-Depends: python3-typing-extensions
    - Build-Depends: python3-vtk9 only. Closes: 1073397.
  * update debian/tests
    - drop redundant dolfin test
    - Restrictions: allow-stderr since test_core2.py sends warning to
      stderr: Cannot get cells for <class 'vedo.volume.Volume'>
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Jul 2024 03:30:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
  dh-python,
  python3,
  python3-setuptools,
- python3-vtk9 (<< 9.1.1) | python3-vtk7,
+ python3-vtk9,
  python3-numpy,
  python3-deprecated,
- python3-pygments
-Standards-Version: 4.6.2
+ python3-pygments,
+ python3-typing-extensions
+Standards-Version: 4.7.0
 Homepage: https://vedo.embl.es/
 Vcs-Browser: https://salsa.debian.org/science-team/vedo
 Vcs-Git: https://salsa.debian.org/science-team/vedo.git
 
 Package: python3-vedo
 Architecture: all
-Depends: python3-vtk9 | python3-vtk7,
+Depends: python3-vtk9,
  python3-numpy,
  ${python3:Depends}, ${misc:Depends}
 Breaks: python3-vtkplotter

## vedo 2025.5.3

=== debian/changelog ===
vedo (2025.5.3-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_32bit_8d63d9a.patch
    - Build-Depends: pybuild-plugin-pyproject
  * promote python3-scipy to Recommends:
  * drop explicit Depends: python3-vtk9, python3-numpy
    and use py3dist-overrides to point vtk requirement at
    python3-vtk9 | python3-paraview.

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Feb 2025 16:41:42 +0900

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-vtk9,
  python3-numpy,
  python3-deprecated,
  python3-pygments,
+ python3-scipy,
  python3-typing-extensions
 Standards-Version: 4.7.0
 Homepage: https://vedo.embl.es/
@@ -19,14 +21,11 @@
 
 Package: python3-vedo
 Architecture: all
-Depends: python3-vtk9,
- python3-numpy,
- ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}
 Breaks: python3-vtkplotter
 Replaces: python3-vtkplotter
-Recommends: python3-matplotlib
+Recommends: python3-scipy, python3-matplotlib
 Suggests: dvipng, texlive-latex-base | texlive,
- python3-scipy,
  python3-vedo-examples
 Description: Python module for 3D scientific visualization with VTK
  A Python module for scientific visualization, analysis and animation

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-vedo,
         python3-matplotlib,
         python3-scipy,
         dvipng,
         texlive-latex-base
Restrictions: allow-stderr
